読者です 読者をやめる 読者になる 読者になる

彼女からは、おいちゃんと呼ばれています

ウェブ技術や日々考えたことなどを綴っていきます

Ruby IDE「RubyMine」で RVM を使う

Ruby

前回のエントリーで RVM について触れましたが、JetBrain 社の IDE(なんか最近そればっかり)RubyMine では、RVM でインストールした Ruby 1.9.2 が有効になっていませんでした。

それ故に、システムに入っている Ruby 1.8.7 の基準でコード解析されて、1.9 の書き方をしているハッシュが軒並みエラー表示されてしまいました。

だけど問題なし。RubyMine は RVM に対応しているので、下記のように設定すれば RVM でインストールした Ruby を使うことができます。

Preferences.. > Ruby SDK and Gems > Ruby interpreter

から使いたい Ruby のバージョンを選択する。